-- Test du paquetage P_JOUR
-- Gestion du type T_JOUR
-- Fichier jour.adb 
-- Ecrit le 23.4.96
-- Derniere mise a jour le 28.9.2000 

with Text_Io;
use Text_Io;

with P_Jour;
use P_Jour;

procedure Jour is 

   Fich_Out : File_Type;  

begin
   New_Line(24);
   Put_Line("Test du paquetage P_JOUR");
   Put_Line("     Gestion du type T_JOUR");
   New_Line;

   Put_Line("Fichier des resultats : JOUR.OUT");
   Create(Fich_Out, Out_File, "JOUR.OUT");
   Put_Line("Comparez vos resultats avec l'oracle : fichier JOUR.ORA");
   New_Line;

   Put_Line(Fich_Out,"                              Fichier JOUR.OUT");
   Put_Line(Fich_Out,"                              ****************");
   New_Line(Fich_Out, 3);


   Put_Line(Fich_Out,
      "* function DEMAIN(LE_JOUR: in T_JOUR) return T_JOUR;");
   Put_Line(Fich_Out, "           ------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "LE_JOUR=LUNDI => DEMAIN=" &
      T_Jour'Image(Demain(Lundi)));
   Put_Line(Fich_Out, "LE_JOUR=SAMEDI => DEMAIN=" &
      T_Jour'Image(Demain(Samedi)));
   Put_Line(Fich_Out, "LE_JOUR=DIMANCHE => DEMAIN=" &
      T_Jour'Image(Demain(Dimanche)));
   New_Line(Fich_Out, 2);


   Put_Line(Fich_Out, "* function HIER(LE_JOUR: in T_JOUR) return T_JOUR;");
   Put_Line(Fich_Out, "           ----");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "LE_JOUR=LUNDI => HIER=" &
      T_Jour'Image(Hier(Lundi)));
   Put_Line(Fich_Out, "LE_JOUR=SAMEDI => HIER=" &
      T_Jour'Image(Hier(Samedi)));
   Put_Line(Fich_Out, "LE_JOUR=DIMANCHE => HIER=" &
      T_Jour'Image(Hier(Dimanche)));
   New_Line(Fich_Out, 2);


   Put_Line(Fich_Out,
      "* function EST_JOUR_TRAVAIL(LE_JOUR: in T_JOUR) return BOOLEAN;");
   Put_Line(Fich_Out, "           ----------------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "LE_JOUR=LUNDI => EST_JOUR_TRAVAIL=" &
      Boolean'Image(Est_Jour_Travail(Lundi)));
   Put_Line(Fich_Out, "LE_JOUR=SAMEDI => EST_JOUR_TRAVAIL=" &
      Boolean'Image(Est_Jour_Travail(Samedi)));
   Put_Line(Fich_Out, "LE_JOUR=DIMANCHE => EST_JOUR_TRAVAIL=" &
      Boolean'Image(Est_Jour_Travail(Dimanche)));
   New_Line(Fich_Out, 2);


   Put_Line(Fich_Out,
      "* function EST_JOUR_REPOS(LE_JOUR: in T_JOUR) return BOOLEAN;");
   Put_Line(Fich_Out, "           --------------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "LE_JOUR=LUNDI => EST_JOUR_REPOS=" &
      Boolean'Image(Est_Jour_Repos(Lundi)));
   Put_Line(Fich_Out, "LE_JOUR=SAMEDI => EST_JOUR_REPOS=" &
      Boolean'Image(Est_Jour_Repos(Samedi)));
   Put_Line(Fich_Out, "LE_JOUR=DIMANCHE => EST_JOUR_REPOS=" &
      Boolean'Image(Est_Jour_Repos(Dimanche)));
   New_Line(Fich_Out, 2);


   Put_Line(Fich_Out,
      "* function EST_JOUR_VALIDE(LA_CHAINE: in STRING) return BOOLEAN;");
   Put_Line(Fich_Out, "           ---------------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "LA_CHAINE=LUNDI => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide("LUNDI")));
   Put_Line(Fich_Out, "LA_CHAINE=Lundi => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide("Lundi")));
   Put_Line(Fich_Out, "LA_CHAINE=LUND I => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide("LUND I")));
   Put_Line(Fich_Out, "LA_CHAINE= LUNDI => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide(" LUNDI")));
   Put_Line(Fich_Out, "LA_CHAINE=LUNDI   => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide("LUNDI  ")));
   Put_Line(Fich_Out, "LA_CHAINE=LUNDI I => EST_JOUR_VALIDE=" &
      Boolean'Image(Est_Jour_Valide("LUNDI I")));
   New_Line(Fich_Out, 2);


   Close(Fich_Out);

end Jour;
