-- Paquetage P_INDICE
-- Fichier : p_indice.adb 
-- Auteur : P. SEBILO
-- Date : 22.5.98
-- Derniere mise a jour : 15.10.2002 

package body P_Indice is

   procedure Lire (
         L_Invite : in     String   := "Indice"; 
         I        :    out T_Indice              ) is 
   begin
      P_Entier.Lire(L_Invite, I, T_Indice'First, T_Indice'Last);
   end Lire;

   function To_Rang (
         I : in     T_Indice ) 
     return T_Rang is 
   begin
      return (I - T_Indice'First) + 1;
   end To_Rang;

   function To_Indice (
         R : in     T_Rang ) 
     return T_Indice is 
   begin
      return (T_Indice'First + R) - 1;
   end To_Indice;

end P_Indice;
