-- Test des erreurs de manipulation d'un vecteur 
-- Fichier tst_err_vecteur.adb 
-- Auteur : P. SEBILO
-- Ecrit le 11.10.2002 

with Text_Io;
use Text_Io;

with P_Vecteur;
use P_Vecteur;
with P_Entier;
use P_Entier;
with P_Indice;
use P_Indice;

procedure Tst_Err_Vecteur is 

   Vec  : T_Vecteur;  
   Elem : T_Entier;  

   -- I: T_Vecteur'Range;
   -- => Err de Compil. (Range n'est pas un type)
   I : T_Indice;  

begin

   New_Line;
   Put_Line("Test de l'adressage d'un vecteur");
   Put_Line("     Gestion du type T_VECTEUR");
   New_Line;

   Vec:= (1,2,3,4,5);

   -- Adressage en dehors de la contrainte d'indice
   -- Elem:= Vec(10);
   -- => Warning puis err. d'excution (CONSTRAINT_ERROR)

   -- Elem:= Vec'First;
   -- err. de compil. (conflit de type car 'First donne la premire valeur
   --   de l'indice et non pas la premiere valeur du vecteur !)

   -- Vec:= (1,2,3,4);
   -- Vec(1..3):= Vec(4..5);
   -- => Warning puis err. d'excution (CONSTRAINT_ERROR)

   -- Vec(6):= 1000001;
   -- => Warning puis err. d'excution (CONSTRAINT_ERROR)

   -- I:= 11;
   -- => Warning puis err. d'excution (CONSTRAINT_ERROR)

end Tst_Err_Vecteur;

