-- Test du paquetage P_INDICE
-- Fichier : indice.adb 
-- Auteur : P. SEBILO
-- Ecrit le 22.5.98
-- Derniere mise a jour le 9.10.2000 

with Text_Io;
use Text_Io;

with P_Entier;
use P_Entier;
with P_Indice;
use P_Indice;

procedure Indice is 

   Fich_Out : File_Type;  

begin
   New_Line(24);
   Put_Line("Test du paquetage P_INDICE");
   New_Line(2);

   Put_Line("Fichier des resultats : INDICE.OUT");
   Put_Line("Contrler la validit des resultats (oracle non fourni)");
   Create(Fich_Out, Out_File, "INDICE.OUT");
   New_Line;

   Put_Line(Fich_Out,"                             Fichier INDICE.OUT");
   Put_Line(Fich_Out,"                             ******************");
   New_Line(Fich_Out, 3);


   Put_Line(Fich_Out,
      "* function TO_RANG (A : in T_INDICE) return T_RANG;");
   Put_Line(Fich_Out, "           -------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "A=5 => RANG=" & T_Rang'Image(To_Rang(5)));
   Put_Line(Fich_Out, "A=9 => RANG=" & T_Rang'Image(To_Rang(9)));
   New_Line(Fich_Out, 2);

   Put_Line(Fich_Out,
      "* function TO_INDICE (A : in T_RANG) return T_INDICE;");
   Put_Line(Fich_Out, "           ---------");
   New_Line(Fich_Out);
   Put_Line(Fich_Out, "A=1 => INDICE=" & T_Indice'Image(To_Indice(1)));
   Put_Line(Fich_Out, "A=2 => INDICE=" & T_Indice'Image(To_Indice(2)));
   Put_Line(Fich_Out, "A=5 => INDICE=" & T_Indice'Image(To_Indice(5)));

   Close(Fich_Out);

end Indice;
